"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../utils");

let {
  module: {
    mode
  }
} = (0, _utils.getOptions)();
let isProd = mode.toLowerCase() === 'prod';

var _default = () => ({
  presets: [require.resolve('@babel/preset-env'), require.resolve('@babel/preset-react')],
  plugins: [[require.resolve('babel-plugin-transform-define'), isProd ? {
    __DOCS__: false
  } : {}]]
});

exports.default = _default;