# CustomAttributePlugin
 In this plugin we added all dynamic chunks tags (like js script tags , css script tags, i18n split script tags) to extra custom attribute

## Options

```json
{
  "name": "some",
  "react-cli": {
    "app": {
      "customAttributes": {// this is the all options
        "enable": false,
        "attributes": null,
        "jsAttributes": null,
        "cssAttributes": null,
        "i18nAttributes": null
      }
  }
}
```

### enable   [Boolean]
this decides is this plugin or feature needs to be enabled of not.


### attributes   [Object] 
It  was object of key value pairs Example Given Option {"data-app-name":"myapp"}  
Then all dynamically (js script tags , css script tags, i18n split script tags) added tags via webpack 

### jsAttributes   [Object] 
same as [attributes] but only for js script tags
### cssAttributes   [Object] 
same as [attributes] but only for css script tags
### i18nAttributes   [Object] 
same as [attributes] but only for i18n split script tags
