"use strict";

var _path = _interopRequireDefault(require("path"));

var _fs = _interopRequireDefault(require("fs"));

var _fileUtils = require("./fileUtils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let args = process.argv.slice(2);

let appPath = _fs.default.realpathSync(process.cwd());

let [targetPath] = args;
targetPath = targetPath === '."' || !targetPath ? '' : targetPath;
targetPath = _path.default.join(appPath, targetPath);

let srcPath = _path.default.resolve(_path.default.dirname(require.resolve('@zohodesk/datetimejs')), '../data/timezones/');

(0, _fileUtils.copy)(srcPath, targetPath, true, null, 'flatten');