"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = (compilation, assets, assetTags, options) => {
  Object.keys(assetTags).forEach(rootTag => {
    assetTags[rootTag].forEach(tag => {
      tag.attributes.nonce = '{{--CSP-nonce}}';
    });
  });
  return {
    compilation,
    webpackConfig: compilation.options,
    htmlWebpackPlugin: {
      tags: assetTags,
      files: assets,
      options
    }
  };
};

exports.default = _default;