"use strict";

var _postcss = _interopRequireDefault(require("postcss"));

var _postcssHashClassname = _interopRequireDefault(require("postcss-hash-classname"));

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let count = 0;
module.exports = {
  process: function (src) {
    count++;
    let opts = {
      hashType: 'md5',
      digestType: 'base32'
    };
    opts.maxLength = 6;
    opts.type = '.json';
    opts.outputName = `jsonFile_test_${count}`;
    let processor = (0, _postcss.default)([(0, _postcssHashClassname.default)(opts)]);
    processor.process(src).css;

    let jsonMap = _fs.default.readFileSync(`jsonFile_test_${count}.json`, 'UTF-8');

    return `module.exports =${jsonMap}`;
  }
};