"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getI18nFileUrlPathTemplate = getI18nFileUrlPathTemplate;

function getI18nFileUrlPathTemplate(compilation, chunk, filenameTemplate, localeTemplate) {
  let urlpath = compilation.getPath(filenameTemplate, {
    chunk
  });
  return urlpath.replace('[locale]', localeTemplate);
}